Bug 169004 - Xorg and KDE installed even when package groups unchecked
Xorg and KDE installed even when package groups unchecked
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-21 20:44 EDT by Owen Windsor
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 11:38:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Owen Windsor 2005-09-21 20:44:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I am installing RHES4 update 1 under QEMU.  When selecting the package groups to install i unselect gnome and xorg, by default KDE is unchecked.  I unselect all the server admin tools, have not GUI tools and remove printing support.

On reboot of the system, it boots back in to the GUI login screen.  I am unable to login as root as the postinstall config portion of the install is not completed on  reboot and a new user is not created.

When i get in and look at the RPM list (rpm -qa | grep kde) and for xorg the following packages are installed on the system

kdelibs-3.3.1-3.10
kdebase-3.3.1-5.5
kdemultimedia-3.3.1-2
unixODBC-kde-2.2.9-1
xorg-x11-Mesa-libGL-6.8.2-1.EL.13.6
xorg-x11-font-utils-6.8.2-1.EL.13.6
xorg-x11-deprecated-libs-6.8.2-1.EL.13.6
xorg-x11-libs-6.8.2-1.EL.13.6
xorg-x11-Mesa-libGLU-6.8.2-1.EL.13.6
xorg-x11-xauth-6.8.2-1.EL.13.6
xorg-x11-xfs-6.8.2-1.EL.13.6
fonts-xorg-base-6.8.1.1-1.EL.1
xorg-x11-6.8.2-1.EL.13.6
xorg-x11-xdm-6.8.2-1.EL.13.6

  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Begin RHES 4 update 1 install
2. Unselect all GUI packages 
3. prceed with install
  

Actual Results:  GUI packages were insalled with KDE as the desktop. 

Expected Results:  No gui packages should be installed 

Additional info:
Comment 1 Jeremy Katz 2005-09-22 14:14:40 EDT
Please provide the /root/anaconda-ks.cfg
Comment 2 Owen Windsor 2005-09-22 19:42:14 EDT
Here is the anaconda-ks.cfg

# Kickstart file automatically generated by anaconda.

install
cdrom
lang en_US.UTF-8
langsupport --default=en_US.UTF-8 en_US.UTF-8
keyboard us
xconfig --card "Cirrus Logic GD544x" --videoram 4096 --hsync 31.5-37.9 --vsync
50-70 --resolution 800x600 --depth 16 --startxonboot  --defaultdesktop kde
network --device eth0 --bootproto dhcp
rootpw --iscrypted $1$XowLhBeg$qaxKaeFN2cVdZ0Yxe8rP30
firewall --disabled
selinux --disabled
authconfig --enableshadow --enablemd5
timezone Australia/Sydney
bootloader --location=mbr
# The following is the partition information you requested
# Note that any partitions you deleted are not expressed
# here so unless you clear all partitions first, this is
# not guaranteed to work
#clearpart --all --drives=hda
#part /boot --fstype "ext3" --size=100 --ondisk=hda
#part pv.6 --size=0 --grow --ondisk=hda
#volgroup VolGroup00 --pesize=32768 pv.6
#logvol / --fstype ext3 --name=LogVol00 --vgname=VolGroup00 --size=1024 --grow
#logvol swap --fstype swap --name=LogVol01 --vgname=VolGroup00 --size=256 --grow
--maxsize=512

%packages
@ text-internet
@ dialup
@ compat-arch-support
@ web-server
@ mail-server
-system-config-httpd
kernel
mailman
-dovecot
-webalizer
grub
e2fsprogs
lvm2
-httpd-manual
-squid
-sendmail-cf
php-pgsql
postfix
-cadaver
-fetchmail

%post
Comment 3 Jeremy Katz 2005-09-23 11:38:28 EDT
The compat-arch groups include a number of libraries, include xorg and kde ones.

Note You need to log in before you can comment on or make changes to this bug.